<script setup>
const props = defineProps([
    'item',
    'index',
    'isatype'
])

</script>
<template>
<div><li>
    <v-icon v-if="item.children"
            icon=mdi-chevron-down
    ></v-icon>
    <v-icon v-if="props.isatype == 'Investigation'"
            icon="mdi-feather"
            size="small"
    ></v-icon>
    <v-icon v-if="props.isatype == 'Study'"
            icon="mdi-notebook-outline"
            size="small"
    ></v-icon>
    <v-icon v-if="props.isatype == 'Assay'"
            icon="mdi-test-tube"
            size="small"
    ></v-icon>
    <v-icon v-if="item.isatype == 'Study'"
        icon="mdi-notebook-outline"
        size="small"
    ></v-icon>
    <v-icon v-if="item.isatype == 'Assay'"
        icon="mdi-test-tube"
        size="small"
    ></v-icon>
    &nbsp;{{item.name}}</li>
<TreePreview v-for="(innerItem, innerIndex) in item.children" :item="innerItem" :index="innerIndex" style="margin-left:30px">
</TreePreview> 
</div>
</template>
